<!DOCTYPE html>
<html lang="de">
<head>
  <title>{$server}: Un/subscribe mailing lists</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="css/picnic.min.css">
  <link rel="stylesheet" href="css/leinelab.css">
</head>

<body>
  <!-- top navigation start -->
  <nav>
    <a href="https://leinelab.org" class="brand">
      <img class="logo" src="images/logo.png" />
      <span>LeineLab</span>
    </a>
    
    <!-- responsive-->
    <input id="bmenub" type="checkbox" class="show">
    <label for="bmenub" class="burger pseudo button">
      <img src="images/menue.svg" />
    </label>

    <div class="menu">
      {if $action == "subscribe"}
      <a href="?action=unsubscribe&listname={$listname}" class="pseudo button icon-picture">Unsubscribe</a>
      {else}
      <a href="?action=subscribe&listname={$listname}" class="pseudo button icon-picture">Subscribe</a>
      {/if}
      <a href="https://wiki.leinelab.org" class="pseudo button icon-picture">Wiki</a>
      <label for="modal_1" class="button">Hilfe</label>
    </div>
    
  </nav>
  <!-- top navigation end -->
  
  <main class="intro">

    <!-- show a help dialog -->
    <div class="modal">
      <input id="modal_1" type="checkbox" />
      <label for="modal_1" class="overlay"></label>
      <article>
	<header>
	  <h3>Hilfe</h3>
	  <label for="modal_1" class="close">&times;</label>
	</header>
	<section class="content">
	  <h1>Hilfe zum An- und Abmelden</h1>
	  <p>Wenn Sie sich auf der Mailingliste <b>{$listname}@{$server}</b> an- oder abmelden möchten,
	  können Sie hier einfach Ihre Email-Adresse eingeben. Anschließend erhalten Sie eine Email, die sie wiederum
	  beantworten müssen - es reicht dafür eine leere Nachricht.</p>
	  <p>Damit stellen wir sicher, dass Sie tatsächlich diese Mailingliste abonnieren möchten. Details dazu können
	  Sie unserer <a href="https://wiki.leinelab.org/doku.php/datenschutzerklaerung">Datenschutzerklärung</a> entnehmen.</p>
	  
	</section>
	<footer>
	  <label for="modal_1" class="button dangerous">
            Beenden
	  </label>
	</footer>
      </article>
    </div>

    
    <div class="container">
      {if isset($listname) }
      
      <h1>Leinelab-Listserver:</h1>
      <h2>{$listname}@{$server}: {$action}</h2>

      <div>
	<form action="mlmmj.php" method="post">
	  <input name="mailinglist" type="hidden" value="{$listname}@{$server}">
	  <input name="job" type="hidden" value="{$action}">
	  <input name="redirect_failure" type="hidden" value="http://www.failure.com/"> 
	  <input name="redirect_success" type="hidden" value="http://wiki.leinelab.org/">
	  <label class="form-label" for="input-email">Ihre Email-Adresse</label>
	  <input class="form-label" id="input-email" name="email" type="text" size="30" maxlength="254" placeholder="yourname@example.com" value="{$email}"><br>
	  <button class="primary">{$action|capitalize}</button>
	</form>
      </div>
      {else}
      <div>
	<h3>Sorry: there was an errror!</h3>
      </div>
      {/if}
      
    </div>
    
  </main>
</body>
</html>
